Bug 113099 - Reopening file from Samba share crashes LO
Summary: Reopening file from Samba share crashes LO
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.6.1 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace
Depends on:
Blocks: Network
  Show dependency treegraph
 
Reported: 2017-10-13 16:28 UTC by pavelz
Modified: 2020-04-24 03:37 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
gdbtrace.log (23.23 KB, text/plain)
2017-10-16 11:12 UTC, pavelz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pavelz 2017-10-13 16:28:45 UTC
LO crashes when trying to open a file (e.g. ODT or ODS) located on Samba share, when the file is already opened by another instance of LO.

When more files are opened it is easy to lose track that some particular file is already opened. LO crashes when trying to open the file again, when the file is located on Samba share, no problem with local files.

Verze: 5.3.6.1
ID sestavení: 5.3.6.1-6.fc26
Vlákna CPU: 2; Verze OS: Linux 4.13; Vykreslování UI: výchozí; VCL: gtk3; Knihovna pro rozvržení: nová; 
Národní prostředí: cs-CZ (cs_CZ.UTF-8); Calc: group
Comment 1 Julien Nabet 2017-10-14 08:56:56 UTC
Would it be possible you retrieve a backtrace? (see https://wiki.documentfoundation.org/QA/BugReport/Debug_Information#GNU.2FLinux:_How_to_get_a_backtrace)
Comment 2 pavelz 2017-10-16 11:12:22 UTC
Created attachment 137010 [details]
gdbtrace.log
Comment 3 Xisco Faulí 2018-11-27 20:11:06 UTC
hello pavelz,
A new major release of LibreOffice is available since this bug was reported.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 4 Theofilos Intzoglou 2018-12-27 12:52:44 UTC
I can reproduce it using LO 6.0.7.3 in Linux

Έκδοση: 6.0.7.3
Αναγνωριστικό δόμησης: 1:6.0.7-0ubuntu0.18.04.2
Νήματα CPU:4; Λειτουργικό σύστημα: Linux 4.15; Απόδοση διεπαφής χρήστη: προεπιλογή; VCL: kde4; 
Τοπικό: el-GR (el_GR.UTF-8); Calc: group
Comment 5 pavelz 2019-01-19 18:12:16 UTC
Still reproducible in 6.1 in Fedora

Version: 6.1.4.2
Build ID: 6.1.4.2-1.fc29
CPU threads: 2; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: cs-CZ (cs_CZ.UTF-8); Calc: group threaded
Comment 6 Julien Nabet 2019-01-20 08:52:21 UTC
Version must correspond to the earliest one not the most recent one.
Comment 7 Xisco Faulí 2019-03-21 12:50:24 UTC
Hello pavelz,
LibreOffice 6.2.2.2 is going to be released today, could you please try again
with this version to see if the problem has been resolved meanwhile? Thanks in
advance
Comment 8 Theofilos Intzoglou 2019-07-09 16:45:56 UTC
I can still reproduce it using LO 6.2 in Linux

Έκδοση: 6.2.4.2.0+
Αναγνωριστικό δόμησης: Gentoo official package
Νήματα CPU:4; Λειτουργικό σύστημα: Linux 5.0; Απόδοση διεπαφής χρήστη: προεπιλογή; VCL: gtk3; 
Τοπικό: el-GR (el_GR.UTF-8); Γλώσσα διεπαφής: el-GR
Calc: threaded
Comment 9 Theofilos Intzoglou 2019-07-10 12:14:23 UTC
I noticed a couple of strange things with this bug:

1) I can reproduce the crash when I use the libreoffice packaged by Sabayon or Ubuntu. However in Sabayon if I attach gdb to soffice.bin to get a backtrace, LO works as expected trying to bring the opened document to the front. I cannot test the same thing in Ubuntu right now but I suspect it will be the same.

2) I downloaded LO using flatpak, rebooted and tested the same file. It works as expected without crashing. Any ideas how I can get a backtrace to see what is causing the crash?
Comment 10 Justin 2019-08-19 15:48:43 UTC
Hi,
  I am seeing the same issue with Linux Mint 19 using LO version:

OS: Linux Mint 19 Tara
LO version: 1:6.3.0-0ubuntu0.18.04.1~lo2
Source: LO repo

In addition, per the previous comment I tried the flatpak version and it still showed the same crashing behavior.  Thank you for your time and consideration on this issue.

Sincerely,

Justin Richardson
Comment 11 Stephan Bergmann 2019-09-25 06:34:20 UTC
This may very well be the same issue as bug 127648.  Please see my comment there (bug 127648 comment 9):  "Unfortunately, I cannot reproduce this issue.  If somebody who can reproduce it has a debug build, it would be interesting to learn the values of nBytesToRead and nrc in the crashing call to XInputStream_impl::readBytes (in ucb/source/ucp/file/filinpstr.cxx)."
Comment 12 QA Administrators 2020-03-24 02:47:53 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2020-04-24 03:37:05 UTC
Dear pavelz,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp